package com.bonus.canteen.core.order.mobile.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

public class OrderShoppingCartClearDTO {
   @ApiModelProperty("购物车id集合")
   private @NotNull
   List<Long> shoppingCartIds;
   @ApiModelProperty(
      value = "人员id",
      hidden = true
   )
   private @NotNull Long custId;

   public List<Long> getShoppingCartIds() {
      return this.shoppingCartIds;
   }

   public Long getCustId() {
      return this.custId;
   }

   public void setShoppingCartIds(final List<Long> shoppingCartIds) {
      this.shoppingCartIds = shoppingCartIds;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   @Override
   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof OrderShoppingCartClearDTO)) {
         return false;
      } else {
         OrderShoppingCartClearDTO other = (OrderShoppingCartClearDTO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$custId = this.getCustId();
            Object other$custId = other.getCustId();
            if (this$custId == null) {
               if (other$custId != null) {
                  return false;
               }
            } else if (!this$custId.equals(other$custId)) {
               return false;
            }

            Object this$shoppingCartIds = this.getShoppingCartIds();
            Object other$shoppingCartIds = other.getShoppingCartIds();
            if (this$shoppingCartIds == null) {
               if (other$shoppingCartIds != null) {
                  return false;
               }
            } else if (!this$shoppingCartIds.equals(other$shoppingCartIds)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof OrderShoppingCartClearDTO;
   }

   @Override
   public int hashCode() {
      int result = 1;
      Object $custId = this.getCustId();
      result = result * 59 + ($custId == null ? 43 : $custId.hashCode());
      Object $shoppingCartIds = this.getShoppingCartIds();
      result = result * 59 + ($shoppingCartIds == null ? 43 : $shoppingCartIds.hashCode());
      return result;
   }

   @Override
   public String toString() {
      String var10000 = String.valueOf(this.getShoppingCartIds());
      return "OrderShoppingCartClearDTO(shoppingCartIds=" + var10000 + ", custId=" + this.getCustId() + ")";
   }
}
